org.apache.regexp

## Interface CharacterIterator

- All Known Implementing Classes:
    CharacterArrayCharacterIterator, ReaderCharacterIterator, StreamCharacterIterator, StringCharacterIterator

      public interface CharacterIterator

  Encapsulates different types of character sources - String, InputStream, ... Defines a set of common methods
  Version:
    CVS $Id: CharacterIterator.java 518156 2007-03-14 14:31:26Z vgritsenko $
  Author:
    Ales Novak

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `charAt(int pos)`
    `boolean` | `isEnd(int pos)`
    `java.lang.String` | `substring(int beginIndex)`
    `java.lang.String` | `substring(int beginIndex, int endIndex)`

- - ### Method Detail

    - #### substring

          java.lang.String substring(int beginIndex,
                                   int endIndex)

      Returns:
        a substring

    - #### substring

          java.lang.String substring(int beginIndex)

      Returns:
        a substring

    - #### charAt

          char charAt(int pos)

      Returns:
        a character at the specified position.

    - #### isEnd

          boolean isEnd(int pos)

      Returns:
        `true` iff if the specified index is after the end of the character stream

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.